Skip to main content
GET
/
v1
/
account
/
positions
Get Positions
curl --request GET \
  --url https://staging-api.polysimulator.com/v1/account/positions \
  --header 'X-API-Key: <x-api-key>'
[
  {
    "id": 123,
    "market_id": "<string>",
    "outcome": "<string>",
    "quantity": "<string>",
    "avg_entry_price": "<string>",
    "status": "<string>",
    "current_price": "<string>",
    "unrealized_pnl": "<string>",
    "market_value": "<string>",
    "market_question": "<string>"
  }
]

Headers

X-API-Key
string
required

Your PolySimulator API key

Query Parameters

status
string | null

Filter by status: OPEN or CLOSED

Response

Successful Response

id
integer
required
market_id
string
required
outcome
string
required
quantity
string
required
avg_entry_price
string
required
status
string
required
current_price
string | null
unrealized_pnl
string | null
market_value
string | null
market_question
string | null